Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class GraphicsUtils

`java.lang.Object
oracle.jbo.common.GraphicsUtils`

public final class GraphicsUtils
extends java.lang.Object

`GraphicsUtils` defines common user-interface related utility functions.

Field Summary
`protected static java.awt.Component` | `component`
`protected static java.awt.MediaTracker` | `tracker`

Method Summary
`static void` | `centerWindowOnComponent(java.awt.Window window, java.awt.Component over)` Centers the window over a component (usually another window).
`static void` | `centerWindowOnScreen(java.awt.Window window)` Sets the location of the specified window so that it is centered on screen.
`static javax.swing.ImageIcon` | `createImageIcon(java.awt.Image image)`
`static void` | `drawHighlightBorder(java.awt.Graphics g, int x, int y, int width, int height, boolean raised, java.awt.Color shadow, java.awt.Color highlight)` Draws a single-line highlight border rectangle.
`static java.awt.Component` | `focusComponentOrChild(java.awt.Component c)`
`static java.awt.Insets` | `getHighlightBorderInsets()` Return the amount of space taken up by a highlight border drawn by `drawHighlightBorder()`.
`static java.awt.Point` | `getPopupMenuShowPoint(javax.swing.JPopupMenu popup, int x, int y)` Returns a point where the given popup menu should be shown.
`static java.awt.Point` | `getPopupMenuShowPoint(javax.swing.JPopupMenu popup, java.awt.event.MouseEvent event)` Returns a point where the given popup menu should be shown.
`static boolean` | `isAncestorOfFocusedComponent(java.awt.Component c)`
`static java.awt.Image` | `loadFromResource(java.lang.String imageName, java.lang.Class cls)` Loads an `Image` named `imageName` as a resource relative to the Class `cls`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### component

    protected static final java.awt.Component component

### tracker

    protected static final java.awt.MediaTracker tracker

Method Detail

### centerWindowOnScreen

    public static void centerWindowOnScreen(java.awt.Window window)

  Sets the location of the specified window so that it is centered on screen.
  Parameters:
    `window` - The window to be centered.

### drawHighlightBorder

    public static void drawHighlightBorder(java.awt.Graphics g,
                                           int x,
                                           int y,
                                           int width,
                                           int height,
                                           boolean raised,
                                           java.awt.Color shadow,
                                           java.awt.Color highlight)

  Draws a single-line highlight border rectangle.
  Parameters:
    `g` - The graphics context to use for drawing.
    `x` - The left edge of the border.
    `y` - The top edge of the border.
    `width` - The width of the border.
    `height` - The height of the border.
    `raised` - `true` if the border is to be drawn raised, `false` if lowered.
    `shadow` - The shadow color for the border.
    `highlight` - The highlight color for the border.
  See Also:
    `EtchedBorder`, `BasicGraphicsUtils.drawEtchedRect(java.awt.Graphics, int, int, int, int, java.awt.Color, java.awt.Color, java.awt.Color, java.awt.Color)`

### getHighlightBorderInsets

    public static java.awt.Insets getHighlightBorderInsets()

  Return the amount of space taken up by a highlight border drawn by `drawHighlightBorder()`.
  Returns:
    The `Insets` needed for the highlight border.
  See Also:
    `drawHighlightBorder(java.awt.Graphics, int, int, int, int, boolean, java.awt.Color, java.awt.Color)`

### createImageIcon

    public static javax.swing.ImageIcon createImageIcon(java.awt.Image image)

### getPopupMenuShowPoint

    public static java.awt.Point getPopupMenuShowPoint(javax.swing.JPopupMenu popup,
                                                       java.awt.event.MouseEvent event)

  Returns a point where the given popup menu should be shown. The point is calculated by adjusting the X and Y coordinates from the given mouse event so that the popup menu will not be clipped by the screen boundaries.
  Parameters:
    `popup` - the popup menu
    `event` - the mouse event
  Returns:
    the point where the popup menu should be shown

### getPopupMenuShowPoint

    public static java.awt.Point getPopupMenuShowPoint(javax.swing.JPopupMenu popup,
                                                       int x,
                                                       int y)

  Returns a point where the given popup menu should be shown. The point is calculated by adjusting the X and Y coordinates so that the popup menu will not be clipped by the screen boundaries.
  Parameters:
    `popup` - the popup menu
    `x` - the x position in screen coordinate
    `y` - the y position in screen coordinates
  Returns:
    the point where the popup menu should be shown in screen coordinates

### centerWindowOnComponent

    public static void centerWindowOnComponent(java.awt.Window window,
                                               java.awt.Component over)

  Centers the window over a component (usually another window). The window must already have been sized.

### isAncestorOfFocusedComponent

    public static boolean isAncestorOfFocusedComponent(java.awt.Component c)

  Returns:
    returns true if the component of one of its child has the focus

### focusComponentOrChild

    public static java.awt.Component focusComponentOrChild(java.awt.Component c)

### loadFromResource

    public static java.awt.Image loadFromResource(java.lang.String imageName,
                                                  java.lang.Class cls)

  Loads an `Image` named `imageName` as a resource relative to the Class `cls`. If the `Image` can not be loaded, then `null` is returned. Images loaded here will be added to an internal cache based upon the full `URL` to their location. This method replaces legacy code from JDeveloper 3.x and earlier.
  See Also:
    `Class.getResource(String)`, `Toolkit.createImage(URL)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.